import{s as ve,n as we,o as be}from"../chunks/scheduler.b108d059.js";import{S as xe,i as Te,g as o,s,r,A as _e,h as l,f as n,c as a,j as ce,u as m,x as $,k as ge,y as Ce,a as i,v as f,d as p,t as d,w as h}from"../chunks/index.008de539.js";import{H as c,E as Me}from"../chunks/EditOnGithub.d1c48e3d.js";function Pe(oe){let u,O,q,U,g,R,v,le="This document discusses the high level overview of the Chat UI codebase. If you’re looking to contribute or just want to understand how the codebase works, this is the place for you!",B,w,D,b,re='Chat UI provides a simple interface connecting LLMs to external information and tools. The project uses <a href="https://www.mongodb.com/" rel="nofollow">MongoDB</a> and <a href="https://kit.svelte.dev/" rel="nofollow">SvelteKit</a> with <a href="https://tailwindcss.com/" rel="nofollow">Tailwind</a>.',K,x,z,T,me="This section discusses various modules of the codebase briefly. The headings are not paths since the codebase structure may change.",W,_,F,C,fe="Provides all of the routes rendered with SSR via SvelteKit. The majority of backend and frontend logic can be found here, with some modules being pulled out into <code>lib</code> for the client and <code>lib/server</code> for the server.",J,M,N,P,pe="Provides a standard interface for most chat features such as model output, web search, assistants and tools. Outputs <code>MessageUpdate</code>s which provide fine-grained updates on the request status such as new tokens and web search results.",Q,y,V,L,de="Provides a common streaming interface for many third party LLM and embedding providers.",X,H,Y,k,he='Implements web search querying and RAG. See the <a href="../configuration/web-search">Web Search</a> section for more information.',Z,S,ee,E,ue='Provides a common interface for external tools called by LLMs. See the <a href="../configuration/models/tools">Tools</a> section for more information',te,j,ne,A,$e="Includes all MongoDB migrations for maintaining backwards compatibility across schema changes. Any changes to the schema must include a migration",ie,I,se,G,ae;return g=new c({props:{title:"Architecture",local:"architecture",headingTag:"h1"}}),w=new c({props:{title:"Overview",local:"overview",headingTag:"h2"}}),x=new c({props:{title:"Code Map",local:"code-map",headingTag:"h2"}}),_=new c({props:{title:"routes",local:"routes",headingTag:"h3"}}),M=new c({props:{title:"textGeneration",local:"textgeneration",headingTag:"h3"}}),y=new c({props:{title:"endpoints / embeddingEndpoints",local:"endpoints--embeddingendpoints",headingTag:"h3"}}),H=new c({props:{title:"websearch",local:"websearch",headingTag:"h3"}}),S=new c({props:{title:"tools",local:"tools",headingTag:"h3"}}),j=new c({props:{title:"migrations",local:"migrations",headingTag:"h3"}}),I=new Me({props:{source:"https://github.com/huggingface/chat-ui/blob/main/docs/source/developing/architecture.md"}}),{c(){u=o("meta"),O=s(),q=o("p"),U=s(),r(g.$$.fragment),R=s(),v=o("p"),v.textContent=le,B=s(),r(w.$$.fragment),D=s(),b=o("p"),b.innerHTML=re,K=s(),r(x.$$.fragment),z=s(),T=o("p"),T.textContent=me,W=s(),r(_.$$.fragment),F=s(),C=o("p"),C.innerHTML=fe,J=s(),r(M.$$.fragment),N=s(),P=o("p"),P.innerHTML=pe,Q=s(),r(y.$$.fragment),V=s(),L=o("p"),L.textContent=de,X=s(),r(H.$$.fragment),Y=s(),k=o("p"),k.innerHTML=he,Z=s(),r(S.$$.fragment),ee=s(),E=o("p"),E.innerHTML=ue,te=s(),r(j.$$.fragment),ne=s(),A=o("p"),A.textContent=$e,ie=s(),r(I.$$.fragment),se=s(),G=o("p"),this.h()},l(e){const t=_e("svelte-u9bgzb",document.head);u=l(t,"META",{name:!0,content:!0}),t.forEach(n),O=a(e),q=l(e,"P",{}),ce(q).forEach(n),U=a(e),m(g.$$.fragment,e),R=a(e),v=l(e,"P",{"data-svelte-h":!0}),$(v)!=="svelte-jd3pv2"&&(v.textContent=le),B=a(e),m(w.$$.fragment,e),D=a(e),b=l(e,"P",{"data-svelte-h":!0}),$(b)!=="svelte-s0etjl"&&(b.innerHTML=re),K=a(e),m(x.$$.fragment,e),z=a(e),T=l(e,"P",{"data-svelte-h":!0}),$(T)!=="svelte-e1d7w0"&&(T.textContent=me),W=a(e),m(_.$$.fragment,e),F=a(e),C=l(e,"P",{"data-svelte-h":!0}),$(C)!=="svelte-jp15i7"&&(C.innerHTML=fe),J=a(e),m(M.$$.fragment,e),N=a(e),P=l(e,"P",{"data-svelte-h":!0}),$(P)!=="svelte-y1ko9s"&&(P.innerHTML=pe),Q=a(e),m(y.$$.fragment,e),V=a(e),L=l(e,"P",{"data-svelte-h":!0}),$(L)!=="svelte-1cnknmh"&&(L.textContent=de),X=a(e),m(H.$$.fragment,e),Y=a(e),k=l(e,"P",{"data-svelte-h":!0}),$(k)!=="svelte-1vkgy5m"&&(k.innerHTML=he),Z=a(e),m(S.$$.fragment,e),ee=a(e),E=l(e,"P",{"data-svelte-h":!0}),$(E)!=="svelte-1b4lbv"&&(E.innerHTML=ue),te=a(e),m(j.$$.fragment,e),ne=a(e),A=l(e,"P",{"data-svelte-h":!0}),$(A)!=="svelte-1d9qfdo"&&(A.textContent=$e),ie=a(e),m(I.$$.fragment,e),se=a(e),G=l(e,"P",{}),ce(G).forEach(n),this.h()},h(){ge(u,"name","hf:doc:metadata"),ge(u,"content",ye)},m(e,t){Ce(document.head,u),i(e,O,t),i(e,q,t),i(e,U,t),f(g,e,t),i(e,R,t),i(e,v,t),i(e,B,t),f(w,e,t),i(e,D,t),i(e,b,t),i(e,K,t),f(x,e,t),i(e,z,t),i(e,T,t),i(e,W,t),f(_,e,t),i(e,F,t),i(e,C,t),i(e,J,t),f(M,e,t),i(e,N,t),i(e,P,t),i(e,Q,t),f(y,e,t),i(e,V,t),i(e,L,t),i(e,X,t),f(H,e,t),i(e,Y,t),i(e,k,t),i(e,Z,t),f(S,e,t),i(e,ee,t),i(e,E,t),i(e,te,t),f(j,e,t),i(e,ne,t),i(e,A,t),i(e,ie,t),f(I,e,t),i(e,se,t),i(e,G,t),ae=!0},p:we,i(e){ae||(p(g.$$.fragment,e),p(w.$$.fragment,e),p(x.$$.fragment,e),p(_.$$.fragment,e),p(M.$$.fragment,e),p(y.$$.fragment,e),p(H.$$.fragment,e),p(S.$$.fragment,e),p(j.$$.fragment,e),p(I.$$.fragment,e),ae=!0)},o(e){d(g.$$.fragment,e),d(w.$$.fragment,e),d(x.$$.fragment,e),d(_.$$.fragment,e),d(M.$$.fragment,e),d(y.$$.fragment,e),d(H.$$.fragment,e),d(S.$$.fragment,e),d(j.$$.fragment,e),d(I.$$.fragment,e),ae=!1},d(e){e&&(n(O),n(q),n(U),n(R),n(v),n(B),n(D),n(b),n(K),n(z),n(T),n(W),n(F),n(C),n(J),n(N),n(P),n(Q),n(V),n(L),n(X),n(Y),n(k),n(Z),n(ee),n(E),n(te),n(ne),n(A),n(ie),n(se),n(G)),n(u),h(g,e),h(w,e),h(x,e),h(_,e),h(M,e),h(y,e),h(H,e),h(S,e),h(j,e),h(I,e)}}}const ye='{"title":"Architecture","local":"architecture","sections":[{"title":"Overview","local":"overview","sections":[],"depth":2},{"title":"Code Map","local":"code-map","sections":[{"title":"routes","local":"routes","sections":[],"depth":3},{"title":"textGeneration","local":"textgeneration","sections":[],"depth":3},{"title":"endpoints / embeddingEndpoints","local":"endpoints--embeddingendpoints","sections":[],"depth":3},{"title":"websearch","local":"websearch","sections":[],"depth":3},{"title":"tools","local":"tools","sections":[],"depth":3},{"title":"migrations","local":"migrations","sections":[],"depth":3}],"depth":2}],"depth":1}';function Le(oe){return be(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ee extends xe{constructor(u){super(),Te(this,u,Le,Pe,ve,{})}}export{Ee as component};
